This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265887 - Firefox Crash on GNOME/Wayland
Firefox Crash on GNOME/Wayland
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 00:53 EDT by David Le Sage
Modified: 2016-01-26 07:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 07:12:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Le Sage 2015-09-24 00:53:28 EDT
Description of problem:
When I tried to close the GNOME Display Settings dialogue under Wayland, Firefox suddenyl aborted.

Version-Release number of selected component (if applicable):
firefox 40.0.3-1.fc23

How reproducible:
Only experienced once.

Steps to Reproduce:
1. Log into GNOME running on Wayland.
2. Right-click the GNOME Desktop and click to alter Display settings.
3. Close Display Settings dialogue by clicking the Window Manager close control (the "x" in the corner.)

Actual results:
Firefox aborts.

Expected results:
Firefox should not be affected.

Additional info:
Comment 1 David Le Sage 2015-09-24 00:53:53 EDT
Log info:



Sep 24 14:44:19 localhost.localdomain gnome-session[2128]: Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Sep 24 14:44:19 localhost.localdomain gnome-session[2128]: Window manager warning: Invalid WM_TRANSIENT_FOR window 0x56200180001a specified for 0x1e00007.
Sep 24 14:44:19 localhost.localdomain gnome-session[2128]: Window manager warning: last_focus_time (2940455) is greater than comparison timestamp (2940452).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Sep 24 14:44:30 localhost.localdomain gnome-session[2128]: (gnome-shell:2207): St-CRITICAL **: st_label_set_text: assertion 'text != NULL' failed
Sep 24 14:44:34 localhost.localdomain gnome-session[2128]: (zenity:5047): GLib-CRITICAL **: g_strv_length: assertion 'str_array != NULL' failed
Sep 24 14:44:35 localhost.localdomain firefox.desktop[3374]: [152B blob data]
Sep 24 14:44:35 localhost.localdomain firefox.desktop[3374]: [Child 3613] ###!!! ABORT: Aborting on channel error.: file /builddir/build/BUILD/firefox-40.0.3/mozilla-release/ipc/glue/MessageChannel.cpp, line 1659
Sep 24 14:44:35 localhost.localdomain audit[3615]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 pid=3615 comm="Chrome_ChildThr" exe="/usr/lib64/firefox/plugin-container" sig=11
Sep 24 14:44:35 localhost.localdomain kernel: Chrome_ChildThr[3615]: segfault at 0 ip 0000557894131418 sp 00007f1678daa3e0 error 6 in plugin-container[557894129000+3a000]
Sep 24 14:44:36 localhost.localdomain abrt-hook-ccpp[5052]: Failed to create core_backtrace: waitpid failed: No child processes
Sep 24 14:44:36 localhost.localdomain abrt-server[5053]: Blacklisted package 'firefox'
Sep 24 14:44:36 localhost.localdomain abrt-server[5053]: 'post-create' on '/var/spool/abrt/ccpp-2015-09-24-14:44:35-3613' exited with 1
Sep 24 14:44:36 localhost.localdomain abrt-server[5053]: Deleting problem directory '/var/spool/abrt/ccpp-2015-09-24-14:44:35-3613'
Comment 2 Martin Stransky 2015-09-24 04:46:11 EDT
Please attach a backtrace, according to http://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products
Comment 3 David Le Sage 2015-09-24 20:47:47 EDT
(In reply to Martin Stransky from comment #2)
> Please attach a backtrace, according to
> http://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products

Thanks. Have pulled down the debug info.  Will let you know if/when I can replicate this crash.
Comment 4 Martin Stransky 2016-01-26 07:12:30 EST
Should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.